package ttk.commands;

import device.Pinpad;
import tlv.TlvItem;
import ttk.Util;

public class Journal extends CommandBase {

    public Journal(Pinpad pinpad){
        super(pinpad);
    }


    public Journal(Pinpad pinpad, int operErn){
        super(pinpad);
        this.setErn(operErn);
    }

    @Override
    protected void prepare(){
        try {
            context.add(new TlvItem(tlv.Tag.findTag("TAG_TTK_CLIENT_MID"), "JRN"));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
